<?php

if (!defined('ABSPATH')) {
    exit;
}


if (!class_exists('WC_WooZndGiftCard')) {

    class WC_WooZndGiftCard {

        public static function init() {
            if (is_admin()) {
                //add settings tab
                add_filter('woocommerce_settings_tabs_array', array(new self(), 'settings_tabs_array'), 50);
                //show settings tab
                add_action('woocommerce_settings_tabs_wooznd_giftcard', array(new self(), 'show_settings_tab'));
                //save settings tab
                add_action('woocommerce_update_options_wooznd_giftcard', array(new self(), 'update_settings_tab'));

//                add_filter('plugin_action_links_' . plugin_basename(GF_PLUGIN_MAIN_FILE), array(new self(), 'plugin_settings_links'));
            }
        }

//        public static function plugin_settings_links($links) {
//
//            $settings_link = array(
//                'znd_giftcard_settings' => '<a href="' . admin_url('admin.php?page=wc-settings&tab=wooznd_giftcard') . '" title="' . __('View Gift Card Settings', 'woocommerce-zc-giftcard') . '">' . __('Gift Card Settings', 'woocommerce-zc-giftcard') . '</a>'
//            );
//
//            return array_merge($links, $settings_link);
//        }

        public static function settings_tabs_array($settings_tabs) {
            $settings_tabs['wooznd_giftcard'] = __('Gift Card', 'woocommerce-zc-giftcard');
            return $settings_tabs;
        }

        public static function show_settings_tab() {
            woocommerce_admin_fields(self::get_settings());
        }

        public static function update_settings_tab() {
            woocommerce_update_options(self::get_settings());
        }

        private static function get_settings() {


            $pro_db = get_option('wooznd_giftcard_product_ids', '');
            $products = [];
            if (is_array($pro_db)) {
                foreach ($pro_db as $value) {
                    $products[$value] = WooZndUtil::GetFormattedProductName($value, false);
                }
            }

            $ex_pro_db = get_option('wooznd_giftcard_exclude_product_ids', '');
            $ex_products = [];
            if (is_array($ex_pro_db)) {
                foreach ($ex_pro_db as $value) {
                    $ex_products[$value] = WooZndUtil::GetFormattedProductName($value, false);
                }
            }

            $select_type = 'multiselect';

            $woo_ver = WC()->version;
            if ($woo_ver < "3.0.0" && $woo_ver < "2.7.0") {
                $select_type = 'text';
            }
            $settings = array(
                'wooznd_giftcard_section_title' => array(
                    'name' => __('Gift Card Settings', 'woocommerce-zc-giftcard'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_giftcard_section_title'
                ),
                'wooznd_enable_giftcard' => array(
                    'title' => __('Enable/Disable', 'woocommerce-zc-giftcard'),
                    'desc' => __('Enable Gift Card', 'woocommerce-zc-giftcard'),
                    'type' => 'checkbox',
                    'default' => 'yes',
                    'id' => 'wooznd_enable_giftcard'
                ),
                'wooznd_giftcard_discount_type' => array(
                    'title' => __('Discount type', 'woocommerce-zc-giftcard'),
                    'type' => 'select',
                    'default' => 'fixed_cart',
                    'class' => 'wc-enhanced-select',
                    'css' => 'min-width:300px;',
                    'options' => array(
                        'fixed_cart' => __('Cart Discount', 'woocommerce-zc-giftcard'),
                        // 'percent' => __('Cart % Discount', 'woocommerce-zc-giftcard'),
                        'fixed_product' => __('Product Discount', 'woocommerce-zc-giftcard'),
                    //'percent_product' => __('Product % Discount', 'woocommerce-zc-giftcard'),
                    ),
                    'id' => 'wooznd_giftcard_discount_type'
                ),
                'wooznd_giftcard_codechart_type' => array(
                    'title' => __('Qrcode or Barcode', 'woocommerce-zc-giftcard'),
                    'type' => 'select',
                    'default' => 'br',
                    'class' => 'wc-enhanced-select',
                    'css' => 'min-width:300px;',
                    'options' => array(
                        'br' => __('Barcode', 'woocommerce-zc-giftcard'),
                        'qr' => __('Qrcode', 'woocommerce-zc-giftcard'),
                    ),
                    'id' => 'wooznd_giftcard_codechart_type'
                ),
                'wooznd_giftcard_coupon_pattern' => array(//[N5],[A3],[C3],[Aa4],[Cc3],[a4],[c3]
                    'name' => __('Gift card coupon pattern', 'woocommerce-zc-giftcard'),
                    'type' => "text",
                    'default' => 'WZND[N5][A4]',
                    'placeholder' => __('Coupon pattern', 'woocommerce-zc-giftcard'),
                    'desc' => __('Code pattern to use when creating new gift card coupon, (e.g [A10], [C10], [N10])', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_giftcard_coupon_pattern'
                ),
                'wooznd_giftcard_apply_before_tax' => array(
                    'title' => __('Apply gift cards before tax', 'woocommerce-zc-giftcard'),
                    'label' => __('Apply gift cards before tax', 'woocommerce-zc-giftcard'),
                    'name' => __('Apply gift cards before tax', 'woocommerce-zc-giftcard'),
                    'desc' => __('Apply gift cards before tax', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'checkbox',
                    'default' => 'no',
                    'id' => 'wooznd_giftcard_apply_before_tax'
                ),
                'wooznd_giftcard_free_shipping' => array(
                    'title' => __('Allow free shipping', 'woocommerce-zc-giftcard'),
                    'label' => __('Allow free shipping', 'woocommerce-zc-giftcard'),
                    'name' => __('Allow free shipping', 'woocommerce-zc-giftcard'),
                    'desc' => __('Check this box if the gift card grants free shipping. A free shipping method must be enabled in your shipping zone and be set to require "a valid free shipping coupon" (see the "Free Shipping Requires" setting).', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'checkbox',
                    'default' => 'no',
                    'id' => 'wooznd_giftcard_free_shipping'
                ),
                'wooznd_giftcard_expiry_days' => array(
                    'name' => __('Gift card expiry after days', 'woocommerce-zc-giftcard'),
                    'type' => "number",
                    'default' => '10',
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_giftcard_expiry_days'
                ),
                'wooznd_allow_giftcard_coupon' => array(
                    'title' => __('Use gift cards as coupon', 'woocommerce-zc-giftcard'),
                    'label' => __('Use gift cards as coupon', 'woocommerce-zc-giftcard'),
                    'name' => __('Use gift cards as coupon', 'woocommerce-zc-giftcard'),
                    'desc' => __('Check this box if gift cards are to be use as coupon code. Gift cards can also be use as voucher payment method', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'checkbox',
                    'default' => 'yes',
                    'id' => 'wooznd_allow_giftcard_coupon'
                ),
                'wooznd_giftcard_sections_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_giftcard_sections_end'
                ),
                //Usage Restriction
                'wooznd_giftcard_usagerestriction_title' => array(
                    'name' => __('Usage Restriction', 'woocommerce-zc-giftcard'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_giftcard_usagerestriction_title'
                ),
                'wooznd_giftcard_minimum_amount' => array(
                    'name' => __('Minimum spend', 'woocommerce-zc-giftcard'),
                    'type' => "number",
                    'default' => '',
                    'desc' => __('This field allows you to set the minimum spend (subtotal, including taxes) allowed to use gift cards.', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'placeholder' => __('No Minimum', 'woocommerce-zc-giftcard'),
                    'custom_attributes' => array(
                        'min' => '0',
                    ),
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_giftcard_minimum_amount'
                ),
                'wooznd_giftcard_maximum_amount' => array(
                    'name' => __('Maximum spend', 'woocommerce-zc-giftcard'),
                    'type' => "number",
                    'default' => '',
                    'desc' => __('This field allows you to set the maximum spend (subtotal, including taxes) allowed when using gift cards.', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'placeholder' => __('No Maximum', 'woocommerce-zc-giftcard'),
                    'custom_attributes' => array(
                        'min' => '0',
                    ),
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_giftcard_maximum_amount'
                ),
                'wooznd_giftcard_individual_use' => array(
                    'title' => __('Individual use only', 'woocommerce-zc-giftcard'),
                    'label' => __('Individual use only', 'woocommerce-zc-giftcard'),
                    'name' => __('Individual use only', 'woocommerce-zc-giftcard'),
                    'desc' => __('Check this box if a gift card cannot be used in conjunction with other gift cards or coupons.', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'checkbox',
                    'default' => 'no',
                    'id' => 'wooznd_giftcard_individual_use'
                ),
                'wooznd_giftcard_exclude_sale_items' => array(
                    'title' => __('Exclude sale items', 'woocommerce-zc-giftcard'),
                    'label' => __('Exclude sale items', 'woocommerce-zc-giftcard'),
                    'name' => __('Exclude sale items', 'woocommerce-zc-giftcard'),
                    'desc' => __('Check this box if gift cards should not apply to items on sale. Per-item gift card will only work if the item is not on sale. Per-cart gift cards will only work if there are no sale items in the cart.', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'checkbox',
                    'default' => 'no',
                    'id' => 'wooznd_giftcard_exclude_sale_items'
                ),
                'wooznd_giftcard_product_ids' => array(
                    'name' => __('Products', 'woocommerce-zc-giftcard'),
                    'title' => __('Products', 'woocommerce-zc-giftcard'),
                    'type' => $select_type,
                    'class' => 'wc-product-search',
                    'desc' => __('Products which need to be in the cart to use gift cards or, for "Product Discounts", which products are discounted.', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'options' => $products,
                    'custom_attributes' => array(
                        'data-multiple' => 'true',
                        'data-placeholder' => __('Search for a product&hellip;', 'woocommerce-zc-giftcard'),
                        'data-action' => 'woocommerce_json_search_products_and_variations',
                        'data-selected' => WooZndUtil::GetFormattedProductName(get_option('wooznd_giftcard_product_ids', '')),
                    ),
                    'id' => 'wooznd_giftcard_product_ids'
                ),
                'wooznd_giftcard_exclude_product_ids' => array(
                    'name' => __('Exclude products', 'woocommerce-zc-giftcard'),
                    'title' => __('Exclude products', 'woocommerce-zc-giftcard'),
                    'type' => $select_type,
                    'class' => 'wc-product-search',
                    'desc' => __('Products which must not be in the cart to use gift cards or, for "Product Discounts", which products are not discounted.', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'options' => $ex_products,
                    'custom_attributes' => array(
                        'data-multiple' => 'true',
                        'data-placeholder' => __('Search for a product&hellip;', 'woocommerce-zc-giftcard'),
                        'data-action' => 'woocommerce_json_search_products_and_variations',
                        'data-selected' => WooZndUtil::GetFormattedProductName(get_option('giftcard_exclude_product_ids', '')),
                    ),
                    'id' => 'wooznd_giftcard_exclude_product_ids'
                ),
                'wooznd_giftcard_sectionc_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_giftcardc_section_end'
                ),
                //Usage Limit
                'wooznd_giftcard_usagelimit_title' => array(
                    'name' => __('Usage Limit', 'woocommerce-zc-giftcard'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_giftcard_usagelimit_title'
                ),
                'wooznd_giftcard_usage_limit' => array(
                    'name' => __('Usage limit per gift card', 'woocommerce-zc-giftcard'),
                    'type' => "number",
                    'default' => '',
                    'desc' => __('How many times each gift card can be used before it is void.', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'placeholder' => __('Unlimited usage', 'woocommerce-zc-giftcard'),
                    'custom_attributes' => array(
                        'min' => '0',
                    ),
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_giftcard_usage_limit'
                ),
                'wooznd_giftcard_usage_limit_per_user' => array(
                    'name' => __('Usage limit per user', 'woocommerce-zc-giftcard'),
                    'type' => "number",
                    'default' => '',
                    'desc' => __('How many times each gift card can be used by an invidual user. Uses billing email for guests, and user ID for logged in users.', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'placeholder' => __('Unlimited usage', 'woocommerce-zc-giftcard'),
                    'custom_attributes' => array(
                        'min' => '0',
                    ),
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_giftcard_usage_limit_per_user'
                ),
                'wooznd_giftcard_section_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_giftcard_section_end'
                ),
                //Gift Card Management
                'wooznd_giftcard_management_titles' => array(
                    'name' => __('Gift Card Management & Refunds', 'woocommerce-zc-giftcard'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_giftcard_management_titles'
                ),
                'wooznd_create_giftcard_coupon_order_status' => array(
                    'title' => __('Create coupon on order status change', 'woocommerce-zc-giftcard'),
                    'desc' => __('Choose when to create gift card coupon', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'select',
                    'default' => 'processing',
                    'class' => 'wc-enhanced-select',
                    'css' => 'min-width:300px;',
                    'options' => array(
                        'on-hold' => __('On-Hold', 'woocommerce-zc-giftcard'),
                        'processing' => __('Processing', 'woocommerce-zc-giftcard'),
                        'completed' => __('Completed', 'woocommerce-zc-giftcard'),
                    ),
                    'id' => 'wooznd_create_giftcard_coupon_order_status'
                ),
                'wooznd_remove_expired_giftcard' => array(
                    'title' => __('Remove expired gift cards', 'woocommerce-zc-giftcard'),
                    'label' => __('Remove expired gift cards', 'woocommerce-zc-giftcard'),
                    'name' => __('Remove expired gift cards', 'woocommerce-zc-giftcard'),
                    'desc' => __('Remove expired gift cards', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'checkbox',
                    'default' => 'no',
                    'id' => 'wooznd_remove_expired_giftcard'
                ),
                'wooznd_remove_expired_giftcard_after_days' => array(
                    'name' => __('Remove expired gift cards after days', 'woocommerce-zc-giftcard'),
                    'type' => "number",
                    'default' => '2',
                    'placeholder' => __('No of days', 'woocommerce-zc-giftcard'),
                    'custom_attributes' => array(
                        'min' => '1',
                    ),
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_remove_expired_giftcard_after_days'
                ),
                'wooznd_giftcard_refund_mode' => array(
                    'title' => __('Gift card refund', 'woocommerce-zc-giftcard'),
                    'type' => 'select',
                    'default' => 'auto',
                    'class' => 'wc-enhanced-select',
                    'css' => 'min-width:300px;',
                    'options' => array(
                        'no-refund' => __('No Refund', 'woocommerce-zc-giftcard'),
                        'auto' => __('Refund Buyer Or User', 'woocommerce-zc-giftcard'),
                        'buyer' => __('Refund Buyer', 'woocommerce-zc-giftcard'),
                        'user' => __('Refund User', 'woocommerce-zc-giftcard'),
                    ),
                    'id' => 'wooznd_giftcard_refund_mode'
                ),
                'wooznd_giftcard_management_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_giftcard_management_end'
                ),
                //Payment Methods
                'wooznd_giftcard_payment_methods_title' => array(
                    'name' => __('Gift Cards Payment Methods', 'woocommerce-zc-giftcard'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_giftcard_payment_methods_title'
                ),
                'wooznd_giftcard_payment_methods' => array(
                    'title' => __('Payment methods', 'woocommerce-zc-giftcard'),
                    'desc' => __('Choose which payment method can be use for gift card products, leave this field blank to support all payment methods', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'multiselect',
                    'default' => '',
                    'class' => 'wc-enhanced-select',
                    'css' => 'min-width:300px;',
                    'options' => WooZndUtil::GetPaymentMethodList(),
                    'id' => 'wooznd_giftcard_payment_methods',
                ),
                'wooznd_giftcard_payment_methods_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_giftcard_payment_methods_end'
                ),
                //Send to Friend Option
                'wooznd_giftcard_sendtofriend_title' => array(
                    'name' => __('Send To Friend Email', 'woocommerce-zc-giftcard'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_giftcard_sendtofriend_title'
                ),
                'wooznd_giftcard_sendtofriend_subject' => array(
                    'name' => __('Email subject', 'woocommerce-zc-giftcard'),
                    'type' => "text",
                    'default' => 'You have recieved a gift card from [wznd_fromname]',
                    'placeholder' => __('Subject', 'woocommerce-zc-giftcard'),
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_giftcard_sendtofriend_subject'
                ),
                'wooznd_giftcard_sendtofriend_message' => array(
                    'name' => __('Email message', 'woocommerce-zc-giftcard'),
                    'type' => "textarea",
                    'default' => 'Hi [wznd_toname], <br /> You have recieved a gift card from [wznd_fromname] with message <strong>[wznd_message]</strong> <br /> your gift card code is [wznd_coupon] and the value of this gift card is [wznd_amount]. please redeem your gift card at  [wznd_site_link] before its expiry date on [wznd_expirydate] .',
                    'placeholder' => __('Message', 'woocommerce-zc-giftcard'),
                    'css' => 'min-width:350px; min-height:200px;',
                    'id' => 'wooznd_giftcard_sendtofriend_message'
                ),
                'wooznd_giftcard_sendtofriend_attach_pdf' => array(
                    'title' => __('Attach gift card PDF', 'woocommerce-zc-giftcard'),
                    'label' => __('Attach gift card PDF', 'woocommerce-zc-giftcard'),
                    'name' => __('Attach gift card PDF', 'woocommerce-zc-giftcard'),
                    'desc' => __('Attach gift card PDF', 'woocommerce-zc-giftcard'),
                    'desc_tip' => true,
                    'type' => 'checkbox',
                    'default' => 'yes',
                    'id' => 'wooznd_giftcard_sendtofriend_attach_pdf'
                ),
                'wooznd_giftcard_sendtofriend_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_giftcard_sendtofriend_end'
                ),
                //Refun Mail Option
                'wooznd_giftcard_refund_title' => array(
                    'name' => __('Gift Card Refund Notification', 'woocommerce-zc-giftcard'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_giftcard_refund_title'
                ),
                'wooznd_giftcard_refund_subject' => array(
                    'name' => __('Email subject', 'woocommerce-zc-giftcard'),
                    'type' => "text",
                    'default' => 'Your gift card balance has being refunded',
                    'placeholder' => __('Subject', 'woocommerce-zc-giftcard'),
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_giftcard_refund_subject'
                ),
                'wooznd_giftcard_refund_message' => array(
                    'name' => __('Email message', 'woocommerce-zc-giftcard'),
                    'type' => "textarea",
                    'default' => 'Hi [wznd_wallet_name], <br /> Your gift card <strong>[wznd_coupon]</strong> remaining balance <strong>[wznd_amount]</strong> has been refunded to you wallet <strong>[wznd_wallet_number]</strong>. You can use this money to purchase item at [wznd_site_link] any time.',
                    'placeholder' => __('Message', 'woocommerce-zc-giftcard'),
                    'css' => 'min-width:350px; min-height:200px;',
                    'id' => 'wooznd_giftcard_refund_message'
                ),
                'wooznd_rest_section_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_rest_section_end')
            );
            return $settings;
        }

    }

    WC_WooZndGiftCard::init();
}

