<?php
add_action('init', 'wooznd_register_giftcard_template_post_type');

function wooznd_register_giftcard_template_post_type() {
//    if (WooZndUtil::GetOption('enable_giftcard', 'yes') == 'no') {
//        return;
//    }
    $labels = array(
        "name" => __('Gift Card Email & PDF Templates', 'woocommerce-zc-giftcard'),
        "singular_name" => __('Gift Card Template', 'woocommerce-zc-giftcard'),
        "menu_name" => __('Gift Card Templates', 'woocommerce-zc-giftcard'),
        "all_items" => __('Gift Card Templates', 'woocommerce-zc-giftcard'),
        "add_new" => __('Add New', 'woocommerce-zc-giftcard'),
        "add_new_item" => __('Add New Template', 'woocommerce-zc-giftcard'),
        "edit_item" => __('Edit Template', 'woocommerce-zc-giftcard'),
        "new_item" => __('Add New Template', 'woocommerce-zc-giftcard'),
        "view_item" => __('View Template', 'woocommerce-zc-giftcard'),
        "search_items" => __('Search Template', 'woocommerce-zc-giftcard'),
    );

    $args = array(
        "label" => __('Gift Card Email & PDF Templates', 'woocommerce-zc-giftcard'),
        "labels" => $labels,
        "description" => "",
        "public" => false,
        "show_ui" => true,
        "show_in_rest" => false,
        "rest_base" => "",
        "has_archive" => false,
        "show_in_menu" => 'wznd-manage-giftcard',
        "exclude_from_search" => true,
        "capability_type" => "post",
        "map_meta_cap" => true,
        "hierarchical" => false,
        "rewrite" => array("slug" => "wznd_giftcard", "with_front" => false),
        "query_var" => "wznd_giftcard",
        "menu_position" => 100, "menu_icon" => "dashicons-schedule",
        "supports" => array("title", "editor", "custom-fields"),
    );
    register_post_type("wznd_giftcard", $args);

// End of cptui_register_my_cpts_wznd_giftcard()
}

add_action('edit_form_after_title', 'wooznd_display_giftcard_template_instructions');

function wooznd_display_giftcard_template_instructions() {
//    if (WooZndUtil::GetOption('enable_giftcard', 'yes') == 'no') {
//        return;
//    }
    $scr = get_current_screen();
    if ($scr->post_type !== 'wznd_giftcard') {
        return;
    }
    ?>
    <br />
    <div id="wznd_giftcard_inst" class="postbox ">
        <button type="button" class="handlediv button-link" aria-expanded="true"><span class="screen-reader-text">Toggle panel: Custom CSS</span><span class="toggle-indicator" aria-hidden="true"></span></button>
        <h2 class="hndle ui-sortable-handle"><span>Instructions</span></h2>
        <div class="inside">
            <table>
                <tr>
                    <td style="width:180px;"><b>[wznd_coupon]</b></td>
                    <td><?php echo __('Displays gift card coupon code', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_message]</b></td>
                    <td><?php echo __('Displays gift card message', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_amount]</b></td>
                    <td><?php echo __('Displays gift card amount', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_expirydate]</b></td>
                    <td><?php echo __('Displays gift card expiry date', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_toname]</b></td>
                    <td><?php echo __('Displays gift card to recipient name', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_toemail]</b></td>
                    <td><?php echo __('Displays gift card to recipient email', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_fromname]</b></td>
                    <td><?php echo __('Displays gift card to sender name', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_fromemail]</b></td>
                    <td><?php echo __('Displays gift card to sender email', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_qrcode]</b></td>
                    <td><?php echo __('Displays gift card qrcode', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
                <tr>
                    <td><b>[wznd_barcode]</b></td>
                    <td><?php echo __('Displays gift card barcode', 'woocommerce-zc-giftcard'); ?></td>
                </tr>
            </table>
        </div>
    </div>
    <?php
}

add_action('add_meta_boxes', 'wooznd_add_giftcard_template_metabox');

function wooznd_add_giftcard_template_metabox() {
//    if (WooZndUtil::GetOption('enable_giftcard', 'yes') == 'no') {
//        return;
//    }
    add_meta_box('wznd_giftcard_css', __('Custom CSS', 'woocommerce-zc-giftcard'), 'wooznd_giftcard_template_custom_css', 'wznd_giftcard');
}

function wooznd_giftcard_template_custom_css($post) {
//    if (WooZndUtil::GetOption('enable_giftcard', 'yes') == 'no') {
//        return;
//    }
    wp_nonce_field(basename(__FILE__), 'wznd_giftcard_nonce');
    $wznd_custom_css = get_post_meta($post->ID, '_wznd_giftcard_custom_css', true);
    ?>
    <p> 
        <textarea name="_wznd_giftcard_custom_css" style="width:100%; min-height: 200px"><?php echo isset($wznd_custom_css) ? $wznd_custom_css : ''; ?></textarea>
    </p>
    <?php
}

add_action('save_post', 'giftcard_template_meta_save');

function giftcard_template_meta_save($post_id) {
//    if (WooZndUtil::GetOption('enable_giftcard', 'yes') == 'no') {
//        return;
//    }
    // Checks save status
    $is_autosave = wp_is_post_autosave($post_id);
    $is_revision = wp_is_post_revision($post_id);
    $is_valid_nonce = ( isset($_POST['wznd_giftcard_nonce']) && wp_verify_nonce($_POST['wznd_giftcard_nonce'], basename(__FILE__)) ) ? 'true' : 'false';

    // Exits script depending on save status
    if ($is_autosave || $is_revision || !$is_valid_nonce) {
        return;
    }

    // Checks for input and sanitizes/saves if needed
    if (isset($_POST['_wznd_giftcard_custom_css'])) {
        update_post_meta($post_id, '_wznd_giftcard_custom_css', sanitize_textarea_field($_POST['_wznd_giftcard_custom_css']));
    }
}
