<form action="" method="post">
    <?php wp_nonce_field($nonce_action, 'wznd_refund_nonce'); ?>
    <input type="hidden" name="action_name" value="update-refund">
    <input type="hidden" name="refund_id" value="<?php echo esc_attr($row['order_id']); ?>" />

    <div class="text-block">
        <p><b><?php echo __('Requested On:', 'woocommerce-zc-refund'); ?></b> <?php echo isset($row['request_date']) ? WooZndUtil::MySQLTimeStampToDataTime($row['request_date'], get_option('date_format')) : __('N/A', 'woocommerce-zc-refund'); ?>.</p>
    </div>
    <table class="woo-wide-form">
        <tr>
            <td>
                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Order Number', 'woocommerce-zc-refund'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input type="text" disabled="disabled" value="<?php echo esc_attr('#' . $order->get_order_number()); ?>">
                    </div>
                </div>

                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Account Number', 'woocommerce-zc-refund'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input type="text" disabled="disabled" value="<?php echo esc_attr($row['account_number']); ?>">
                    </div>
                </div>

                <div class="input-box">
                    <div class="label">
                        <span><?php echo __('Order Amount', 'woocommerce-zc-refund'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input type="text" disabled="disabled" value="<?php echo esc_attr($order->get_total()); ?>">
                    </div>
                </div>
                <div class="input-box last">
                    <div class="label">
                        <span><?php echo __('Request Amount', 'woocommerce-zc-refund'); ?></span>
                    </div>
                    <div class="input text-box">
                        <input type="text" disabled="disabled" value="<?php echo esc_attr($row['request_amount']); ?>">
                    </div>
                </div>


            </td>
            <td class="wide-second">
                <?php
                if ($row['status'] == ZND_WALLET_REFUND_REQUEST_APROVED || $row['status'] == ZND_WALLET_REFUND_REQUEST_REJECTED) {
                    ?>
                    <div class="input-box">
                        <div class="label">
                            <span><?php echo __('Amount Refunded', 'woocommerce-zc-refund'); ?></span>
                        </div>
                        <div class="input text-box">
                            <input type="text" disabled="disabled" value="<?php echo esc_attr($order->get_total_refunded()); ?>">
                        </div>
                    </div>
                    <?php
                } else {

                    
                    ?>
                    <div class="input-box">
                        <div class="label">
                            <span><?php echo __('Refundable Amount', 'woocommerce-zc-refund'); ?></span>
                        </div>
                        <div class="input text-box">
                            <input type="text" name="request_amount" value="<?php echo esc_attr($row['request_amount']-$order->get_total_refunded()); ?>">
                        </div>
                    </div>
    <?php
}
?>
                <?php
                if ($row['status'] == ZND_WALLET_REFUND_REQUEST_APROVED || $row['status'] == ZND_WALLET_REFUND_REQUEST_REJECTED) {
                    ?>
                    <div class="input-box">
                        <div class="label">
                            <span><?php echo __('Status', 'woocommerce-zc-refund'); ?></span>
                        </div>
                        <div class="input text-box">
                            <input type="text" disabled="disabled" value="<?php echo esc_attr(WooZndRefund::RefundStatusString($row['status'], false)); ?>">
                        </div>
                    </div>
    <?php
} else {
    ?>
                    <div class="input-box">
                        <div class="label">
                            <span><?php echo __('Status', 'woocommerce-zc-refund'); ?></span>
                        </div>                    
                        <div class="input select-box">
                            <select name="status">                            
                                <option value="<?php echo ZND_WALLET_REFUND_REQUEST_PENDING; ?>"><?php echo __('Pending', 'woocommerce-zc-refund'); ?></option>
                                <option<?php echo $row['status'] == ZND_WALLET_REFUND_REQUEST_APROVED ? ' selected="selected"' : ''; ?> value="<?php echo ZND_WALLET_REFUND_REQUEST_APROVED; ?>"><?php echo __('Aproved', 'woocommerce-zc-refund'); ?></option>
                                <option<?php echo $row['status'] == ZND_WALLET_REFUND_REQUEST_REJECTED ? ' selected="selected"' : ''; ?> value="<?php echo ZND_WALLET_REFUND_REQUEST_REJECTED; ?>"><?php echo __('Rejected', 'woocommerce-zc-refund'); ?></option>                                
                            </select>
                        </div>
                    </div>    
    <?php
}
?>


                <div class="input-box last">
                    <div class="label" style="vertical-align: top">
                        <span><?php echo __('Reason', 'woocommerce-zc-refund'); ?></span>
                    </div>
                    <div class="input text-area">
                        <textarea name="reason"<?php echo ($row['status'] == ZND_WALLET_REFUND_REQUEST_APROVED || $row['status'] == ZND_WALLET_REFUND_REQUEST_REJECTED) ? ' disabled="disabled"' : ''; ?> placeholder="<?php echo __('Reason', 'woocommerce-zc-refund'); ?>" style="height: 117px;"><?php echo esc_textarea($row['reason']); ?></textarea>
                    </div>
                </div>
            </td>
        </tr>
    </table>
    <div class="actions-box woo-wide-form">
<?php
if ($row['status'] == ZND_WALLET_REFUND_REQUEST_APROVED || $row['status'] == ZND_WALLET_REFUND_REQUEST_REJECTED) {
    ?>
            <input class="button button-secondary popup-btn-close" value="<?php echo __('Close', 'woocommerce-zc-refund'); ?>" type="button">                 
            <?php
        } else {
            ?>
            <input class="button button-primary" value="<?php echo __('Update', 'woocommerce-zc-refund'); ?>" type="submit">
            <input class="button button-secondary popup-btn-close" value="<?php echo __('Cancel', 'woocommerce-zc-refund'); ?>" type="button">                 
            <?php
        }
        ?>    
        <div style="float: right;">
            <input class="button delete-theme" name="delete" value="<?php echo __('Delete', 'woocommerce-zc-refund'); ?>" type="submit">
        </div>
    </div>

</form>
