<?php

if (!defined('ABSPATH')) {
    exit;
}


if (!class_exists('WC_WooZndRefund')) {

    class WC_WooZndRefund {

        public static function init() {
            if (is_admin()) {
                //add settings tab
                add_filter('woocommerce_settings_tabs_array', array(new self(), 'settings_tabs_array'), 50);
                //show settings tab
                add_action('woocommerce_settings_tabs_wooznd_refund', array(new self(), 'show_settings_tab'));
                //save settings tab
                add_action('woocommerce_update_options_wooznd_refund', array(new self(), 'update_settings_tab'));

//                add_filter('plugin_action_links_' . plugin_basename(RF_PLUGIN_MAIN_FILE), array(new self(), 'plugin_settings_links'));
            }
        }

//        public static function plugin_settings_links($links) {
//
//            $settings_link = array(
//                'znd_refun_settings' => '<a href="' . admin_url('admin.php?page=wc-settings&tab=wooznd_refund') . '" title="' . __('View Refund Settings', 'woocommerce-zc-refund') . '">' . __('Refund Settings', 'woocommerce-zc-refund') . '</a>'
//            );
//
//            return array_merge($links, $settings_link);
//        }

        public static function settings_tabs_array($settings_tabs) {
            $settings_tabs['wooznd_refund'] = __('Refund', 'woocommerce-zc-refund');
            return $settings_tabs;
        }

        public static function show_settings_tab() {
            woocommerce_admin_fields(self::get_settings());
        }

        public static function update_settings_tab() {
            woocommerce_update_options(self::get_settings());
        }

        private static function get_settings() {

            $settings = array(
                
                'wooznd_refund_section_title' => array(
                    'name' => __('Orders Refund Settings', 'woocommerce-zc-refund'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_refund_section_title'
                ),
                'wooznd_enable_refund' => array(
                    'title' => __('Enable/Disable', 'woocommerce-zc-refund'),
                    'desc' => __('Enable Orders Refund', 'woocommerce-zc-refund'),
                    'type' => 'checkbox',
                    'default' => 'yes',
                    'id' => 'wooznd_enable_refund'
                ),
                
                'wooznd_purchase_refund_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_purchase_refund_end'
                ),
                //Refun Mail Option
                'wooznd_refund_mail_title' => array(
                    'name' => __('Refund Notification', 'woocommerce-zc-refund'),
                    'type' => 'title',
                    'desc' => '',
                    'id' => 'wooznd_refund_mail_title'
                ),
                'wooznd_refun_mail_subject' => array(
                    'name' => __('Email subject', 'woocommerce-zc-refund'),
                    'type' => "text",
                    'default' => 'Order Refund',
                    'placeholder' => __('Subject', 'woocommerce-zc-refund'),
                    'css' => 'min-width:350px;',
                    'id' => 'wooznd_refund_subject'
                ),
                'wooznd_refun_mail_message' => array(
                    'name' => __('Email message', 'woocommerce-zc-refund'),
                    'type' => "textarea",
                    'default' => 'Hi [wznd_wallet_name], <br /> Your wallet has been credited with [wznd_trans_amount] for the refund of order [wznd_order_link], your new wallet balance is [wznd_wallet_current].',
                    'placeholder' => __('Message', 'woocommerce-zc-refund'),
                    'css' => 'min-width:350px; min-height:200px;',
                    'id' => 'wooznd_refund_message'
                ),
                
                'wooznd_reward_section_end' => array(
                    'type' => 'sectionend',
                    'id' => 'wooznd_reward_section_end'
                )
            );
            return $settings;
        }

    }

    WC_WooZndRefund::init();
}

