<?php

/*
  Plugin Name: WooCommerce Smart Pack
  Plugin URI: https://codecanyon.net/item/woocommerce-smart-pack-gift-card-wallet-refund-reward/20265145
  Description: WooCommerce Smart Pack is a woocommerce wallet, refund, reward and gift card plugin
  Version: 1.3.7
  Author: پرشین اسکریپت
  Author URI: http://www.persianscript.ir
 */

define('WWA_ASSET_URL', plugins_url('assets/', __FILE__));
define('SP_MAIN_FILE', __FILE__);


if (!function_exists('wc_sp_init')) {

    function wc_sp_init() {

        $active_plugins = apply_filters('active_plugins', get_option('active_plugins'));
        if (stripos(implode($active_plugins), 'woocommerce.php')) {
            include_once('inc/class-util.php');
            include_once('inc/paginator.php');
            include_once('extensions/extensions.php');
            register_activation_hook(__FILE__, 'wc_sp_plugin_activate');


            add_action('admin_enqueue_scripts', 'wznd_enqueue_all_assets');
            add_action('wp_enqueue_scripts', 'wznd_enqueue_frontend');
        }
    }

}

wc_sp_init();

if (!function_exists('wznd_enqueue_all_assets')) {

    function wznd_enqueue_all_assets() {
        wp_enqueue_style('znd_admin_css', WWA_ASSET_URL . 'css/styles.css', array(), '1.0', 'all');
        wp_enqueue_style('znd_admin_popup_css', WWA_ASSET_URL . 'css/popup.css', array(), '1.0', 'all');
        wp_enqueue_style('jquery_ui_css', WWA_ASSET_URL . 'css/jquery-ui.min.css', array(), '1.0', 'all');
        wp_enqueue_script('znd_admin_popup_js', WWA_ASSET_URL . 'js/jquery.popup.js', array('jquery', 'jquery-ui-datepicker'), '1.0', true);
        wp_enqueue_script('znd_admin_custom_js', WWA_ASSET_URL . 'js/custom.js', array('znd_admin_popup_js'), '1.0', true);
        wp_enqueue_style('select2');
        wp_enqueue_style('wc-enhanced-select');
    }

}


if (!function_exists('wznd_enqueue_frontend')) {

    function wznd_enqueue_frontend() {
        wp_enqueue_style('dashicons');
        wp_enqueue_style('znd_frontend_css', WWA_ASSET_URL . 'css/front-end.css', array(), '1.0', 'all');
        wp_enqueue_style('jquery_ui_frontend_css', WWA_ASSET_URL . 'css/jquery-ui.min.css', array(), '1.0', 'all');
        wp_enqueue_script('znd_frontend_custom_js', WWA_ASSET_URL . 'js/front-custom.js', array('jquery', 'jquery-ui-datepicker'), '1.0', true);
    }

}

